Support Questions
Find answers, ask questions, and share your expertise
Announcements
Alert: Welcome to the Unified Cloudera Community. Former HCC members be sure to read and learn how to activate your account here.

I am not able to install HUE 3.11 on RHEL 7 for HDP2.5

I am not able to install HUE 3.11 on RHEL 7 for HDP2.5

New Contributor

Here is my error log.

stderr: 
Traceback (most recent call last):
  File "/var/lib/ambari-agent/cache/stacks/HDP/2.5/services/HUE/package/scripts/hue_server.py", line 76, in <module>
    HueServer().execute()
  File "/usr/lib/python2.6/site-packages/resource_management/libraries/script/script.py", line 375, in execute
    method(env)
  File "/var/lib/ambari-agent/cache/stacks/HDP/2.5/services/HUE/package/scripts/hue_server.py", line 18, in install
    download_hue()
  File "/var/lib/ambari-agent/cache/stacks/HDP/2.5/services/HUE/package/scripts/common.py", line 57, in download_hue
    Execute('{0} | xargs wget -O hue.tgz'.format(params.download_url))
  File "/usr/lib/python2.6/site-packages/resource_management/core/base.py", line 166, in __init__
    self.env.run()
  File "/usr/lib/python2.6/site-packages/resource_management/core/environment.py", line 160, in run
    self.run_action(resource, action)
  File "/usr/lib/python2.6/site-packages/resource_management/core/environment.py", line 124, in run_action
    provider_action()
  File "/usr/lib/python2.6/site-packages/resource_management/core/providers/system.py", line 262, in action_run
    tries=self.resource.tries, try_sleep=self.resource.try_sleep)
  File "/usr/lib/python2.6/site-packages/resource_management/core/shell.py", line 72, in inner
    result = function(command, **kwargs)
  File "/usr/lib/python2.6/site-packages/resource_management/core/shell.py", line 102, in checked_call
    tries=tries, try_sleep=try_sleep, timeout_kill_strategy=timeout_kill_strategy)
  File "/usr/lib/python2.6/site-packages/resource_management/core/shell.py", line 150, in _call_wrapper
    result = _call(command, **kwargs_copy)
  File "/usr/lib/python2.6/site-packages/resource_management/core/shell.py", line 303, in _call
    raise ExecutionFailed(err_msg, code, out, err)
resource_management.core.exceptions.ExecutionFailed: Execution of 'cat /etc/yum.repos.d/HDP.repo | grep "baseurl" | awk -F '=' '{print $2"hue/hue-3.11.0.tgz"}' | xargs wget -O hue.tgz' returned 123. cat: /etc/yum.repos.d/HDP.repo: No such file or directory
wget: missing URL
Usage: wget [OPTION]... [URL]...

Try `wget --help' for more options.
 stdout:
2018-05-14 20:17:52,757 - Stack Feature Version Info: Cluster Stack=2.5, Command Stack=None, Command Version=None -> 2.5
2018-05-14 20:17:52,767 - Using hadoop conf dir: /usr/hdp/current/hadoop-client/conf
2018-05-14 20:17:52,769 - Skipping creation of User and Group as host is sys prepped or ignore_groupsusers_create flag is on
2018-05-14 20:17:52,769 - Skipping setting dfs cluster admin and tez view acls as host is sys prepped
2018-05-14 20:17:52,770 - FS Type: 
2018-05-14 20:17:52,770 - Directory['/etc/hadoop'] {'mode': 0755}
2018-05-14 20:17:52,798 - File['/usr/hdp/current/hadoop-client/conf/hadoop-env.sh'] {'content': InlineTemplate(...), 'owner': 'hdfs', 'group': 'hadoop'}
2018-05-14 20:17:52,799 - Directory['/var/lib/ambari-agent/tmp/hadoop_java_io_tmpdir'] {'owner': 'hdfs', 'group': 'hadoop', 'mode': 01777}
2018-05-14 20:17:52,820 - Repository['HDP-2.5-repo-1'] {'append_to_file': False, 'base_url': 'http://public-repo-1.hortonworks.com/HDP/centos7/2.x/updates/2.5.3.0', 'action': ['create'], 'components': [u'HDP', 'main'], 'repo_template': '[{{repo_id}}]\nname={{repo_id}}\n{% if mirror_list %}mirrorlist={{mirror_list}}{% else %}baseurl={{base_url}}{% endif %}\n\npath=/\nenabled=1\ngpgcheck=0', 'repo_file_name': 'ambari-hdp-1', 'mirror_list': None}
2018-05-14 20:17:52,832 - File['/etc/yum.repos.d/ambari-hdp-1.repo'] {'content': '[HDP-2.5-repo-1]\nname=HDP-2.5-repo-1\nbaseurl=http://public-repo-1.hortonworks.com/HDP/centos7/2.x/updates/2.5.3.0\n\npath=/\nenabled=1\ngpgcheck=0'}
2018-05-14 20:17:52,833 - Writing File['/etc/yum.repos.d/ambari-hdp-1.repo'] because contents don't match
2018-05-14 20:17:52,834 - Repository['HDP-UTILS-1.1.0.21-repo-1'] {'append_to_file': True, 'base_url': 'http://public-repo-1.hortonworks.com/HDP-UTILS-1.1.0.21/repos/centos7', 'action': ['create'], 'components': [u'HDP-UTILS', 'main'], 'repo_template': '[{{repo_id}}]\nname={{repo_id}}\n{% if mirror_list %}mirrorlist={{mirror_list}}{% else %}baseurl={{base_url}}{% endif %}\n\npath=/\nenabled=1\ngpgcheck=0', 'repo_file_name': 'ambari-hdp-1', 'mirror_list': None}
2018-05-14 20:17:52,840 - File['/etc/yum.repos.d/ambari-hdp-1.repo'] {'content': '[HDP-2.5-repo-1]\nname=HDP-2.5-repo-1\nbaseurl=http://public-repo-1.hortonworks.com/HDP/centos7/2.x/updates/2.5.3.0\n\npath=/\nenabled=1\ngpgcheck=0\n[HDP-UTILS-1.1.0.21-repo-1]\nname=HDP-UTILS-1.1.0.21-repo-1\nbaseurl=http://public-repo-1.hortonworks.com/HDP-UTILS-1.1.0.21/repos/centos7\n\npath=/\nenabled=1\ngpgcheck=0'}
2018-05-14 20:17:52,840 - Writing File['/etc/yum.repos.d/ambari-hdp-1.repo'] because contents don't match
2018-05-14 20:17:52,841 - Package['unzip'] {'retry_on_repo_unavailability': False, 'retry_count': 5}
2018-05-14 20:17:53,051 - Skipping installation of existing package unzip
2018-05-14 20:17:53,051 - Package['curl'] {'retry_on_repo_unavailability': False, 'retry_count': 5}
2018-05-14 20:17:53,078 - Skipping installation of existing package curl
2018-05-14 20:17:53,078 - Package['hdp-select'] {'retry_on_repo_unavailability': False, 'retry_count': 5}
2018-05-14 20:17:53,104 - Skipping installation of existing package hdp-select
2018-05-14 20:17:53,111 - The repository with version 2.5.3.0-37 for this command has been marked as resolved. It will be used to report the version of the component which was installed
2018-05-14 20:17:53,122 - Skipping stack-select on HUE because it does not exist in the stack-select package structure.
2018-05-14 20:17:53,499 - Using hadoop conf dir: /usr/hdp/current/hadoop-client/conf
2018-05-14 20:17:53,507 - Package['wget'] {'retry_on_repo_unavailability': False, 'retry_count': 5}
2018-05-14 20:17:53,704 - Skipping installation of existing package wget
2018-05-14 20:17:53,705 - Package['tar'] {'retry_on_repo_unavailability': False, 'retry_count': 5}
2018-05-14 20:17:53,735 - Skipping installation of existing package tar
2018-05-14 20:17:53,736 - Package['asciidoc'] {'retry_on_repo_unavailability': False, 'retry_count': 5}
2018-05-14 20:17:53,764 - Skipping installation of existing package asciidoc
2018-05-14 20:17:53,766 - Package['krb5-devel'] {'retry_on_repo_unavailability': False, 'retry_count': 5}
2018-05-14 20:17:53,793 - Skipping installation of existing package krb5-devel
2018-05-14 20:17:53,795 - Package['libxml2-devel'] {'retry_on_repo_unavailability': False, 'retry_count': 5}
2018-05-14 20:17:53,826 - Skipping installation of existing package libxml2-devel
2018-05-14 20:17:53,828 - Package['libxslt-devel'] {'retry_on_repo_unavailability': False, 'retry_count': 5}
2018-05-14 20:17:53,855 - Skipping installation of existing package libxslt-devel
2018-05-14 20:17:53,858 - Package['openldap-devel'] {'retry_on_repo_unavailability': False, 'retry_count': 5}
2018-05-14 20:17:53,890 - Skipping installation of existing package openldap-devel
2018-05-14 20:17:53,892 - Package['python-devel'] {'retry_on_repo_unavailability': False, 'retry_count': 5}
2018-05-14 20:17:53,921 - Skipping installation of existing package python-devel
2018-05-14 20:17:53,923 - Package['python-simplejson'] {'retry_on_repo_unavailability': False, 'retry_count': 5}
2018-05-14 20:17:53,951 - Installing package python-simplejson ('/usr/bin/yum -d 0 -e 0 -y install python-simplejson')
2018-05-14 20:18:23,784 - Package['python-setuptools'] {'retry_on_repo_unavailability': False, 'retry_count': 5}
2018-05-14 20:18:23,820 - Skipping installation of existing package python-setuptools
2018-05-14 20:18:23,822 - Package['python-psycopg2'] {'retry_on_repo_unavailability': False, 'retry_count': 5}
2018-05-14 20:18:23,853 - Skipping installation of existing package python-psycopg2
2018-05-14 20:18:23,855 - Package['sqlite-devel'] {'retry_on_repo_unavailability': False, 'retry_count': 5}
2018-05-14 20:18:23,890 - Skipping installation of existing package sqlite-devel
2018-05-14 20:18:23,893 - Package['rsync'] {'retry_on_repo_unavailability': False, 'retry_count': 5}
2018-05-14 20:18:23,929 - Skipping installation of existing package rsync
2018-05-14 20:18:23,931 - Package['saslwrapper-devel'] {'retry_on_repo_unavailability': False, 'retry_count': 5}
2018-05-14 20:18:23,965 - Skipping installation of existing package saslwrapper-devel
2018-05-14 20:18:23,968 - Package['pycrypto'] {'retry_on_repo_unavailability': False, 'retry_count': 5}
2018-05-14 20:18:24,004 - Installing package pycrypto ('/usr/bin/yum -d 0 -e 0 -y install pycrypto')
2018-05-14 20:18:53,526 - Package['gmp-devel'] {'retry_on_repo_unavailability': False, 'retry_count': 5}
2018-05-14 20:18:53,559 - Skipping installation of existing package gmp-devel
2018-05-14 20:18:53,561 - Package['libyaml-devel'] {'retry_on_repo_unavailability': False, 'retry_count': 5}
2018-05-14 20:18:53,590 - Skipping installation of existing package libyaml-devel
2018-05-14 20:18:53,592 - Package['cyrus-sasl-plain'] {'retry_on_repo_unavailability': False, 'retry_count': 5}
2018-05-14 20:18:53,620 - Skipping installation of existing package cyrus-sasl-plain
2018-05-14 20:18:53,621 - Package['cyrus-sasl-devel'] {'retry_on_repo_unavailability': False, 'retry_count': 5}
2018-05-14 20:18:53,650 - Skipping installation of existing package cyrus-sasl-devel
2018-05-14 20:18:53,651 - Package['cyrus-sasl-gssapi'] {'retry_on_repo_unavailability': False, 'retry_count': 5}
2018-05-14 20:18:53,682 - Skipping installation of existing package cyrus-sasl-gssapi
2018-05-14 20:18:53,684 - Package['libffi-devel'] {'retry_on_repo_unavailability': False, 'retry_count': 5}
2018-05-14 20:18:53,715 - Skipping installation of existing package libffi-devel
2018-05-14 20:18:53,717 - Downloading Hue Service
2018-05-14 20:18:53,717 - Execute['cat /etc/yum.repos.d/HDP.repo | grep "baseurl" | awk -F '=' '{print $2"hue/hue-3.11.0.tgz"}' | xargs wget -O hue.tgz'] {}
2018-05-14 20:18:53,737 - The repository with version 2.5.3.0-37 for this command has been marked as resolved. It will be used to report the version of the component which was installed
2018-05-14 20:18:53,749 - Skipping stack-select on HUE because it does not exist in the stack-select package structure.

Command failed after 1 tries

3 REPLIES 3

Re: I am not able to install HUE 3.11 on RHEL 7 for HDP2.5

Mentor

@Yograj Shinde

I am wondering how you are performing your HUE installation, remember HUE is not bundled with HDP 2.5 it's a separate tool that you can download from gethue

Whats the output of

$ hdp-select

Here is a link that you can use as a reference to install HUE on HDP 2.5 look for the part that starts with

"Note about Hive and HDP 2.5+: Since at least HDP 2.5, the default Hive shipped won’t work with Hue unless you change the property:" because the part before is irrelevant as it relates to HDP 2.2, if you are not running on Ubuntu then you might have to re-adjust the commands and procedure.

Please let me know.

Re: I am not able to install HUE 3.11 on RHEL 7 for HDP2.5

New Contributor

Hello Geoffrey,

First of all thank you very much for your reply.

I am following the steps given in the article: https://github.com/EsharEditor/ambari-hue-service

In step 1 i ran below commands

$ VERSION=`hdp-select status hadoop-client | sed 's/hadoop-client - \([0-9]\.[0-9]\).*/\1/'`
$ rm -rf /var/lib/ambari-server/resources/stacks/HDP/$VERSION/services/HUE
$ git clone https://github.com/EsharEditor/ambari-hue-service.git /var/lib/ambari-server/resources/stacks/HDP/$VERSION/services/HUE

After this i logged into Ambari host and from Action button i followed 'Add Service' link. Hue is available in the list and followed the installation from thereon.

$ hdp-select gives me below output on Ambari host

accumulo-client - None
accumulo-gc - None
accumulo-master - None
accumulo-monitor - None
accumulo-tablet - None
accumulo-tracer - None
atlas-client - None
atlas-server - None
falcon-client - None
falcon-server - None
flume-server - None
hadoop-client - 2.5.3.0-37
hadoop-hdfs-datanode - 2.5.3.0-37
hadoop-hdfs-journalnode - 2.5.3.0-37
hadoop-hdfs-namenode - 2.5.3.0-37
hadoop-hdfs-nfs3 - 2.5.3.0-37
hadoop-hdfs-portmap - 2.5.3.0-37
hadoop-hdfs-secondarynamenode - 2.5.3.0-37
hadoop-hdfs-zkfc - None
hadoop-httpfs - None
hadoop-mapreduce-historyserver - 2.5.3.0-37
hadoop-yarn-nodemanager - 2.5.3.0-37
hadoop-yarn-resourcemanager - 2.5.3.0-37
hadoop-yarn-timelineserver - 2.5.3.0-37
hbase-client - None
hbase-master - None
hbase-regionserver - None
hive-metastore - None
hive-server2 - None
hive-server2-hive2 - None
hive-webhcat - None
kafka-broker - None
knox-server - None
livy-server - None
mahout-client - None
oozie-client - None
oozie-server - None
phoenix-client - None
phoenix-server - None
ranger-admin - None
ranger-kms - None
ranger-tagsync - None
ranger-usersync - None
slider-client - None
spark-client - 2.5.3.0-37
spark-historyserver - None
spark-thriftserver - None
spark2-client - 2.5.3.0-37
spark2-historyserver - 2.5.3.0-37
spark2-thriftserver - 2.5.3.0-37
sqoop-client - None
sqoop-server - None
storm-client - None
storm-nimbus - None
storm-slider-client - None
storm-supervisor - None
zeppelin-server - None
zookeeper-client - 2.5.3.0-37
zookeeper-server - 2.5.3.0-37

Thanks and regards,

Yograj.

Highlighted

Re: I am not able to install HUE 3.11 on RHEL 7 for HDP2.5

Mentor

what's the functionality you're looking for in Hue? If you're seeking assistance with Oozie workflows, ambari workflow manager can do that for you. Hive, pig, yarn and rex come with their own views. Unless you need Solr and hbase, there's no reason to run Hue with HDP.

Don't have an account?
Coming from Hortonworks? Activate your account here